Bug #8525

Exception in eints

Added by eints 6 months ago. Updated 6 months ago.

Status:ClosedStart date:2018-01-07
Priority:NormalDue date:
Assignee:frosch% Done:

0%

Category:-
Target version:-

Description

Traceback (most recent call last):
File "/home/eints/eints/webtranslate/users/redmine.py", line 130, in _do_command
cur.execute(cmd, parms)
psycopg2.OperationalError: terminating connection due to administrator command
server closed the connection unexpectedly
This probably means the server terminated abnormally
before or while processing the request.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/home/eints/eints/webtranslate/bottle.py", line 863, in _handle
return route.call(**args)
File "/home/eints/eints/webtranslate/bottle.py", line 1737, in wrapper
rv = callback(*a, **ka)
File "/home/eints/eints/webtranslate/protect.py", line 33, in wrapper
userauth = users.get_authentication(user, pwd)
File "/home/eints/eints/webtranslate/users/redmine.py", line 212, in get_authentication
cur = query("SELECT users.hashed_password, users.salt FROM users WHERE users.login=%s", (user,))
File "/home/eints/eints/webtranslate/users/redmine.py", line 169, in query
cur = _do_command(cmd, parms)
File "/home/eints/eints/webtranslate/users/redmine.py", line 132, in _do_command
except psycopg2.OperationalError:
NameError: global name 'psycopg2' is not defined

Associated revisions

Revision 480:534571c9c17a
Added by frosch 6 months ago

Fix #8525: Unknown exception

History

#1 Updated by frosch 6 months ago

  • Status changed from New to Closed

#2 Updated by frosch 6 months ago

  • Project changed from DevZone Help Center to Webtranslator

Also available in: Atom PDF